searchData={"items":[{"type":"module","title":"AMQPChannelPool","doc":"A library for managing an AMQP channel pool with NimblePool.\n\nThis module provides an abstraction over NimblePool to simplify working with\nAMQP connections and channels. It includes functions for starting the pool,\nchecking out channels, and stopping the pool.","ref":"AMQPChannelPool.html"},{"type":"function","title":"AMQPChannelPool.checkout!/1","doc":"Checks out an AMQP channel from the pool and executes the given function.","ref":"AMQPChannelPool.html#checkout!/1"},{"type":"function","title":"Arguments - AMQPChannelPool.checkout!/1","doc":"- **fun** - A function that receives the checked-out channel and performs\n  operations on it. The function must return the result of the operation.","ref":"AMQPChannelPool.html#checkout!/1-arguments"},{"type":"function","title":"Examples - AMQPChannelPool.checkout!/1","doc":"AMQPChannelPool.checkout!(fn channel ->\n      AMQP.Basic.publish(channel, \"exchange_name\", \"routing_key\", \"message\")\n    end)","ref":"AMQPChannelPool.html#checkout!/1-examples"},{"type":"function","title":"Returns - AMQPChannelPool.checkout!/1","doc":"The result of the provided function.","ref":"AMQPChannelPool.html#checkout!/1-returns"},{"type":"function","title":"AMQPChannelPool.child_spec/1","doc":"Defines the child specification for the pool.\n\nThis function allows the module to be used directly as a child in a supervision tree.","ref":"AMQPChannelPool.html#child_spec/1"},{"type":"function","title":"Arguments - AMQPChannelPool.child_spec/1","doc":"- **opts** - A keyword list containing the options for starting the pool.","ref":"AMQPChannelPool.html#child_spec/1-arguments"},{"type":"function","title":"Returns - AMQPChannelPool.child_spec/1","doc":"A map defining the child specification.","ref":"AMQPChannelPool.html#child_spec/1-returns"},{"type":"function","title":"Examples - AMQPChannelPool.child_spec/1","doc":"children = [\n      {AMQPChannelPool, opts: [host: \"localhost\"], pool_size: 5}\n    ]\n    Supervisor.start_link(children, strategy: :one_for_one)","ref":"AMQPChannelPool.html#child_spec/1-examples"},{"type":"function","title":"AMQPChannelPool.start_link/1","doc":"Starts the AMQP channel pool.","ref":"AMQPChannelPool.html#start_link/1"},{"type":"function","title":"Arguments - AMQPChannelPool.start_link/1","doc":"- **opts** - A keyword list containing:\n  - **:opts** - A map of options for the AMQP connection.\n  - **:pool_size** - The number of workers in the pool (default: 10).","ref":"AMQPChannelPool.html#start_link/1-arguments"},{"type":"function","title":"Examples - AMQPChannelPool.start_link/1","doc":"{:ok, _pid} = AMQPChannelPool.start_link(opts: [host: \"localhost\"], pool_size: 5)","ref":"AMQPChannelPool.html#start_link/1-examples"},{"type":"function","title":"Returns - AMQPChannelPool.start_link/1","doc":"- **{:ok, pid}** on success.\n- **{:error, reason}** on failure.","ref":"AMQPChannelPool.html#start_link/1-returns"},{"type":"function","title":"AMQPChannelPool.stop/0","doc":"Stops the AMQP channel pool.\n\nThis function shuts down the supervisor managing the pool, ensuring\nall resources are released properly.","ref":"AMQPChannelPool.html#stop/0"},{"type":"function","title":"Examples - AMQPChannelPool.stop/0","doc":":ok = AMQPChannelPool.stop()","ref":"AMQPChannelPool.html#stop/0-examples"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}